#
# spec file for package python-altgraph
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-altgraph
Version:        0.17
Release:        lp152.1.1
Summary:        Python graph (network) package
License:        MIT
URL:            https://github.com/ronaldoussoren/altgraph/
Source:         https://files.pythonhosted.org/packages/source/a/altgraph/altgraph-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Altgraph is a fork of graphlib: a graph (network) package for constructing
graphs, BFS and DFS traversals, topological sort, shortest paths, etc. with
graphviz output.

%package     -n %{name}-doc
Summary:        Documentation for %{name}
Provides:       %{python_module altgraph-doc = %{version}}

%description -n %{name}-doc
Altgraph is a fork of graphlib: a graph (network) package for constructing
graphs, BFS and DFS traversals, topological sort, shortest paths, etc. with
graphviz output.

%prep
%setup -q -n altgraph-%{version}
rm doc/_build/html/.buildinfo
sed -i 's/\r$//' doc/_build/html/_static/jquery.js

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec setup.py test

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/*

%files -n %{name}-doc
%doc doc/_build/html/
%license LICENSE

%changelog
* Fri Apr 17 2020 Marketa Calabkova <mcalabkova@suse.com>
- Update to 0.17
  * Explicitly mark Python 3.8 as supported in wheel metadata.
  * Migrate from Bitbucket to GitHub
  * Run black on the entire repository
* Thu Nov  7 2019 Matej Cepl <mcepl@suse.com>
- Run through spec-cleaner
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Fri Nov 16 2018 Todd R <toddrme2178@gmail.com>
- Update to version 0.16.1
  * Explicitly mark Python 3.7 as supported in wheel metadata.
- Update to version 0.16
  * Add LICENSE file
* Thu May 24 2018 toddrme2178@gmail.com
- Update to version 0.15
  * ObjectGraph.get_edges, ObjectGraph.getEdgeData and ObjectGraph.updateEdgeData accept None as the node to get and treat this as an alias for self (as other methods already did).
- Spec file cleanups
* Thu Oct 19 2017 toddrme2178@gmail.com
- Initial version
